/* ----------------类---------------------*/




/*-----------------id------------------------*/
#fileUploadArea  
{
    border:1px solid gray; 
    width:0px auto; 
    background-color:#FFEFD5; 
    margin-bottom:10px;
    padding-top:5px; 
    padding-bottom:5px;
    
    
}
/*1.文件上传区域 */
#fileUploadContainer {
    overflow:hidden;
    width:560px;
    margin-top:10px;
    margin-bottom:10px;
}
/*2.文件上传台头*/
#fileUploadTitle {
    background-color:#000000;
    padding:10px 0;
    text-align:center;
    border-radius:10px 10px 0 0;
    -moz-border-radius:10px 10px 0 0;
    -webkit-border-radius:10px 10px 0 0;
}
#fileUploadTitle1 {
    background-color:#3BB;
    padding:10px 0;
    text-align:center;
}
#fileUploadTitle2 {
    background-color:#35A;
    border-style:solid;
    border-color:#808080;
    border-left-width:1px;
    border-top-width:1px;
    border-right-width:1px;
    border-bottom-width:0px;
    padding:10px 0;
    text-align:center;
}
#fileUploadTitle3 {
    padding:10px 0;
    text-align:center;
}
#fileUploadTitle4 {
    text-align:center;
}
.uploadTitle {
    background-color:#35A;
    border-style:solid;
    border-color:#808080;
    border-left-width:1px;
    border-top-width:1px;
    border-right-width:1px;
    border-bottom-width:0px;
    padding:10px 0;
    text-align:center;
}
/*3.文件上传选择框 */
#fileSelecterForm {
    background: -moz-linear-gradient(#ffffff, #f2f2f2);
    background: -ms-linear-gradient(#ffffff, #f2f2f2);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ffffff), color-stop(100%, #f2f2f2));
    background: -webkit-linear-gradient(#ffffff, #f2f2f2);
    background: -o-linear-gradient(#ffffff, #f2f2f2);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#f2f2f2');
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#f2f2f2')";
    background: linear-gradient(#ffffff, #f2f2f2);
    background-color:#FFEFD5; 
    border:1px solid gray; 
    padding:10px 10px 10px 10px;
    color:#000;
    overflow:hidden;
}
/*4.文件选择按键*/
#uploadFile_Div
{
    margin-bottom:10px; 
}
/*5.文件上传按键*/
#uploadButton_Div
{
    margin-left:12px;
}

/*文件列表*/
#uploadFileSelect         /*上传事件信息*/
{
    border-width:1px;
    border-style:solid;
    border-color:Gray;
    padding: 5px; 
    margin:10px 0px 10px 0px;
    display:none; 
 }
#selectedFilesList      /*文件列表*/ 
{
    margin-bottom:10px;
}
/*文件尺寸错误*/
#fileSizeError
{
    color:Red;
    display:none;
    font-size:10pt;
    margin-left:20px;
    margin-bottom:10px;
    
}
/*文件预览*/
#imagePreview
{
    margin-bottom:10px;
    background-color:#fff;
    display:block;
    float:left;
    width:520px;   
}


#preview {
    background-color:#fff;
    display:block;
    float:left;
    width:128px;
}


.previewImage {
    background-color:#fff;
    display:block;
    float:left;
    width:128px;
}










/*==================================================================*/
/*文件上传*/
#fileUpLoadProcessInfor         /*上传事件信息*/
{
    border-width:1px;
    border-style:solid;
    border-color:Gray;
    padding: 5px; 
    margin-bottom:10px; 
    display:none; 
 }

/*文件上传错误*/
#fileUploadError
{
    color:Red;
    font-size:10pt;
    margin-left:10px;
    margin-bottom:10px;
    display:none; 
}
#error,#error2,#abort,#warnsize {
    color:Red;
    display:none; 
    font-size:10pt;
    margin-left:10px;
    margin-bottom:10px;
    margin-top:10px;
}
#progress_info {
    font-size:10pt;
    display:none;
}

#progress1 {
    border:1px solid #ccc;
    display:none;
    height:5px;
    float:left;
    margin-top:7px;
    border-radius:5px;
   
    -moz-border-radius:5px;
    -ms-border-radius:5px;
    -o-border-radius:5px;
    -webkit-border-radius:5px;

    background: -moz-linear-gradient(left, #FFEFD5,#0a2bf5);
    background: -ms-linear-gradient(left, #FFEFD5, #0a2bf5);
    background: -webkit-gradient(linear, left top, right top, color-stop(0%, #FFEFD5), color-stop(100%, #0a2bf5));
    background: -webkit-linear-gradient(left, #FFEFD5, #0a2bf5);
    background: -o-linear-gradient(left, #FFEFD5, #0a2bf5);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=1,startColorstr='#FFEFD5', endColorstr='#0a2bf5');
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(GradientType=1,startColorstr='#FFEFD5', endColorstr='#0a2bf5')";
    background: linear-gradient(left, #FFEFD5, #0a2bf5);
}
#progress2{
    border:1px solid #ccc;
    display:none;
    height:14px;
    float:left;
    width:20px;
    border-radius:10px;
    -moz-border-radius:10px;
    -ms-border-radius:10px;
    -o-border-radius:10px;
    -webkit-border-radius:10px;

    background: -moz-linear-gradient(#66cc00, #4b9500);
    background: -ms-linear-gradient(#66cc00, #4b9500);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #66cc00), color-stop(100%, #4b9500));
    background: -webkit-linear-gradient(#66cc00, #4b9500);
    background: -o-linear-gradient(#66cc00, #4b9500);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#66cc00', endColorstr='#4b9500');
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#66cc00', endColorstr='#4b9500')";
    background: linear-gradient(#66cc00, #4b9500);
}
#progress_percent {
    text-align:left;
    color:white;
}
.upload_response {
    margin-top: 10px;
    padding: 20px;
    overflow: hidden;
    display: block;
    border: 1px solid #ccc;
    margin-right:10px;
    margin-bottom:10px;

    border-radius:10px;
    -moz-border-radius:10px;
    -ms-border-radius:10px;
    -o-border-radius:10px;
    -webkit-border-radius:10px;

    box-shadow: 0 0 5px #ccc;
    background: -moz-linear-gradient(#eee, #9cd);
    background: -ms-linear-gradient(#eee, #9cd);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #9cd), color-stop(100%, #eee));
    background: -webkit-linear-gradient(#eee, #9cd);
    background: -o-linear-gradient(#eee, #9cd);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#9cd', endColorstr='#eee');
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#9cd', endColorstr='#eee')";
    background: linear-gradient(#eee, #9cd);
}
.clear_both {
    clear:both;
}
#speed,#remaining {
    float:left;
    width:100px;
}
#b_transfered {
    float:right;
    text-align:right;
}



   